import { EventEmitter, AfterViewInit, OnInit, ElementRef, NgZone, Renderer2 } from '@angular/core';
import { ResizedEvent } from './ResizeEvent';
export declare class Rect {
    width: number;
    height: number;
}
export declare class AutoScrollToBottomDirective implements AfterViewInit, OnInit {
    private element;
    private zone;
    private renderer;
    autoScroll: boolean;
    scrollToBottomPreset: (event: ResizedEvent) => void;
    autoScrollChange: EventEmitter<boolean>;
    resized: EventEmitter<ResizedEvent>;
    overflowAnchor: string;
    overflowY: string;
    private scrolling;
    constructor(element: ElementRef, zone: NgZone, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onResizeFn(el: HTMLElement, callback: (oldVal: Rect, currentVal: Rect) => void): void;
    onScroll: () => void;
    scrollToBottom: (event: ResizedEvent) => void;
}
